Browse Source

tc-el: add files for 2.3.1-1

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@1692 ec354946-7b23-47d6-9f5a-488ba84defc7
iwaim 13 years ago
parent
commit
963ad3ed29
4 changed files with 109 additions and 0 deletions
  1. 20 0
      t/tc-el/tc-2.3.1-datadir.patch
  2. 24 0
      t/tc-el/tc-2.3.1-shebang.patch
  3. 50 0
      t/tc-el/tc-el-install.sh
  4. 15 0
      t/tc-el/tc-el-remove.sh

+ 20 - 0
t/tc-el/tc-2.3.1-datadir.patch

@@ -0,0 +1,20 @@
+--- lisp/tc-pre.el.orig	2003-05-18 17:54:10.000000000 +0900
++++ lisp/tc-pre.el	2003-12-03 01:28:31.000000000 +0900
+@@ -89,7 +89,7 @@
+ 
+ (defvar tcode-data-directory nil
+   "T$B%3!<%I$N3F<o%G!<%?%U%!%$%k$rCV$/$?$a$N%G%#%l%/%H%j!#(B
+-$BKvHx$K(B\"/\"$B$rIU$1$J$1$l$P$J$i$J$$!#(B")
++$BKvHx$K(B\"/\"$B$rIU$1$J$1$l$P$J$i$J$$!#(B")
+ 
+ ;;;; Version
+ 
+@@ -120,7 +120,7 @@
+ ;;;; site information
+ 
+ 
+-(defconst tcode-site-data-directory "/usr/local/share/tc/")
++(defconst tcode-site-data-directory "/usr/share/tc/")
+ 
+ (provide 'tc-pre)
+ 

+ 24 - 0
t/tc-el/tc-2.3.1-shebang.patch

@@ -0,0 +1,24 @@
+--- bushu-util/bushu2canna.orig	2001-03-25 20:37:11.000000000 +0900
++++ bushu-util/bushu2canna	2003-12-03 01:11:56.000000000 +0900
+@@ -1,4 +1,4 @@
+-#!/usr/local/bin/perl5
++#!/usr/bin/perl
+ 
+ $target = "bushu.select";
+ $target = shift if @ARGV;
+--- bushu-util/where.orig	2001-03-25 20:37:11.000000000 +0900
++++ bushu-util/where	2003-12-03 01:10:58.000000000 +0900
+@@ -1,4 +1,4 @@
+-#!/usr/local/bin/perl5
++#!/usr/bin/perl
+ 
+ require 5.000;
+ 
+--- mazegaki/mkcertain.pl.orig	2003-02-11 17:58:29.000000000 +0900
++++ mazegaki/mkcertain.pl	2003-12-03 01:14:00.000000000 +0900
+@@ -1,4 +1,4 @@
+-#!/usr/local/bin/perl5
++#!/usr/bin/perl
+ use Term::Cap;
+ use Term::Complete;
+ 

+ 50 - 0
t/tc-el/tc-el-install.sh

@@ -0,0 +1,50 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/t-code
+
+# Written by Jim Van Zandt <jrv@vanzandt.mv.com>, borrowing heavily
+# from the install scripts for gettext by Santiago Vila
+# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.
+
+FLAVOR=$1
+PACKAGE=tc-el
+DATADIR=/usr/share/tc
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+
+FLAVORTEST=`echo $FLAVOR | cut -c-6`
+if [ ${FLAVORTEST} = xemacs ] ; then
+    SITEFLAG="-no-site-file"
+else
+    SITEFLAG="--no-site-file"
+fi
+FLAGS="${SITEFLAG} -q -batch -l make-elc.el -f batch-byte-compile"
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+# Install-info-altdir does not actually exist. 
+# Maybe somebody will write it.
+#if test -x /usr/sbin/install-info-altdir; then
+#    echo install/${PACKAGE}: install Info links for ${FLAVOR}
+#    install-info-altdir --quiet --section "" "" --dirname=${FLAVOR} /usr/info/${PACKAGE}.info.gz
+#fi
+
+install -m 755 -d ${ELCDIR}
+install -m 444 ${DATADIR}/tc-bitmap-8x16 ${ELCDIR}
+cd ${ELDIR}
+FILES=`echo *.el`
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > make-elc.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+(load "tc-sysdep.el")
+(and (fboundp 'set-language-environment)
+     (set-language-environment "Japanese"))
+EOF
+${FLAVOR} ${FLAGS} ${FILES}
+rm -f *.el make-elc.el
+
+exit 0

+ 15 - 0
t/tc-el/tc-el-remove.sh

@@ -0,0 +1,15 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/t-code
+
+FLAVOR=$1
+PACKAGE=tc-el
+
+if [ ${FLAVOR} != emacs ]; then
+#    if test -x /usr/sbin/install-info-altdir; then
+#        echo remove/${PACKAGE}: removing Info links for ${FLAVOR}
+#        install-info-altdir --quiet --remove --dirname=${FLAVOR} /usr/info/t-code.info.gz
+#    fi
+
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi